curl --request PUT \
--url 'https://api.stateset.com/api/v1/purchase-orders/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"discount_amount": null,
"expected_date": null,
"notes": null,
"payment_terms": null,
"ship_to_address": null,
"ship_to_city": null,
"ship_to_country": null,
"ship_to_postal_code": null,
"ship_to_state": null,
"shipping_cost": null,
"supplier_notes": null,
"supplier_reference": null,
"tax_amount": null
}'
{
"approved_by": null,
"created_at": "string",
"currency": "string",
"discount_amount": "string",
"id": "string",
"items": [
{
"created_at": "string",
"id": "string",
"line_total": "string",
"name": "string",
"product_id": null,
"purchase_order_id": "string",
"quantity_ordered": "string",
"quantity_received": "string",
"sku": "string",
"supplier_sku": null,
"unit_cost": "string"
}
],
"payment_terms": "string",
"po_number": "string",
"shipping_cost": "string",
"status": "string",
"subtotal": "string",
"supplier_id": "string",
"supplier_reference": null,
"tax_amount": "string",
"total": "string"
}
Update a purchase orders
Update a purchase orders
PUT
/
api
/
v1
/
purchase-orders
/
{id}
curl --request PUT \
--url 'https://api.stateset.com/api/v1/purchase-orders/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"discount_amount": null,
"expected_date": null,
"notes": null,
"payment_terms": null,
"ship_to_address": null,
"ship_to_city": null,
"ship_to_country": null,
"ship_to_postal_code": null,
"ship_to_state": null,
"shipping_cost": null,
"supplier_notes": null,
"supplier_reference": null,
"tax_amount": null
}'
{
"approved_by": null,
"created_at": "string",
"currency": "string",
"discount_amount": "string",
"id": "string",
"items": [
{
"created_at": "string",
"id": "string",
"line_total": "string",
"name": "string",
"product_id": null,
"purchase_order_id": "string",
"quantity_ordered": "string",
"quantity_received": "string",
"sku": "string",
"supplier_sku": null,
"unit_cost": "string"
}
],
"payment_terms": "string",
"po_number": "string",
"shipping_cost": "string",
"status": "string",
"subtotal": "string",
"supplier_id": "string",
"supplier_reference": null,
"tax_amount": "string",
"total": "string"
}
Path parameters
string
required
Purchase order ID
Request body
UpdatePurchaseOrderRequest
string,null
Decimal discount amount as a string.
string,null
RFC 3339 timestamp.
string,null
string,null
string,null
string,null
string,null
string,null
string,null
string,null
Decimal shipping cost as a string.
string,null
string,null
string,null
Decimal tax amount as a string.
Responses
PurchaseOrderResponse
ErrorBody
ErrorBody
curl --request PUT \
--url 'https://api.stateset.com/api/v1/purchase-orders/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"discount_amount": null,
"expected_date": null,
"notes": null,
"payment_terms": null,
"ship_to_address": null,
"ship_to_city": null,
"ship_to_country": null,
"ship_to_postal_code": null,
"ship_to_state": null,
"shipping_cost": null,
"supplier_notes": null,
"supplier_reference": null,
"tax_amount": null
}'
{
"approved_by": null,
"created_at": "string",
"currency": "string",
"discount_amount": "string",
"id": "string",
"items": [
{
"created_at": "string",
"id": "string",
"line_total": "string",
"name": "string",
"product_id": null,
"purchase_order_id": "string",
"quantity_ordered": "string",
"quantity_received": "string",
"sku": "string",
"supplier_sku": null,
"unit_cost": "string"
}
],
"payment_terms": "string",
"po_number": "string",
"shipping_cost": "string",
"status": "string",
"subtotal": "string",
"supplier_id": "string",
"supplier_reference": null,
"tax_amount": "string",
"total": "string"
}
โI